UNIX Socket FAQ

A forum for questions and answers about network programming on Linux and all other Unix-like systems

You are not logged in.

  • Index
  • » General
  • » Need help to upgrade PHP from 5.3.1 to 5.4.17 On centos

#1 2013-08-20 07:16 PM

santoshkumar
Member
Registered: 2007-08-21
Posts: 53

Need help to upgrade PHP from 5.3.1 to 5.4.17 On centos

Need help to upgrade PHP from 5.3.1 to 5.4.17(stable).


Running centos:
#cat /etc/*release*
CentOS release 4.1 (Final)

#php -v
PHP 5.3.1 /Zend Engine v2.3.0,
--------
Tried to install the 5.4 by below,

[root@myhost ~]#yum install php54w php54w-common php54w-devel php54w-fpm php54w-gd php54w-pdo php54w-pgsql php54w-pecl-memcache php54w-mcrypt php54w-mbstring php54w-xml


Get Error:
No Match for argument: php54w
- - -
No Match for argument: php54w-xml
Nothing to do

Tried from the link but hot of help : http://www.if-not-true-then-false.com/2 … -hat-rhel/


Thanks
Santosh

Offline

#2 2013-08-20 07:56 PM

RobSeace
Administrator
From: Boston, MA
Registered: 2002-06-12
Posts: 3,829
Website

Re: Need help to upgrade PHP from 5.3.1 to 5.4.17 On centos

That link talks about installing it on CentOS 5 or 6, but you seem to be on 4...  So, it may not work on a distro that old...  Or, rather, you may have to jump through a lot more hoops to get it working, anyway...  Like maybe downloading the PHP source and compiling it yourself...  Maybe some third-party repo (epel, rpmforge, etc.) has ready to go packages built for CentOS 4, but I don't know...

Offline

#3 2013-08-21 05:06 AM

santoshkumar
Member
Registered: 2007-08-21
Posts: 53

Re: Need help to upgrade PHP from 5.3.1 to 5.4.17 On centos

Thank you Rob Seace.

1. I've Centos 4 Release, can i upgrade to php 5.4.17 without changing my centos from current release

2. Anyone knows Remi(http://rpms.famillecollet.com/)? i 'm guessing its repository for latest rpms in older releases(like centos4), please correct

3. Can i Erase below already installed and install the new rpm's.

       php-common-5.3.1-1.6_ws
       php-cli-5.3.1-1.6_ws
       php4-gd-4.3.9-3.29.1_ws
       php-5.3.1-1.6_ws
       php-gd-5.3.1-1.6_ws
       php4-4.3.9-3.29.1_ws
       php4-xmlrpc-4.3.9-3.29.1_ws
       php-pear-1.4.9-4.el5.1
       php-xmlrpc-5.3.1-1.6_ws

Last edited by santoshkumar (2013-08-21 05:11 AM)

Offline

#4 2013-08-21 12:11 PM

RobSeace
Administrator
From: Boston, MA
Registered: 2002-06-12
Posts: 3,829
Website

Re: Need help to upgrade PHP from 5.3.1 to 5.4.17 On centos

I don't have any idea if you can find readymade packages for the newer PHP for CentOS 4 or not...  You'll just have to go looking through the repos yourself...  I can see that Remi repo doesn't have it available at least...  The newest PHP version they have for RHEL 4 (ie: CentOS 4) is 5.3.10...  Neither rpmforge nor epel seem to have newer versions of base PHP available for CentOS 4 at all...  I checked a couple others too, and still don't see it anywhere...  So, I don't know where you can find it, if anywhere...

Offline

  • Index
  • » General
  • » Need help to upgrade PHP from 5.3.1 to 5.4.17 On centos

Board footer

Powered by FluxBB